Subject: [AVT] Re: RFC 2833 'E' bit

From: Henning Schulzrinne <[email-masked]>
Date: Sun, 26 May 2002 22:49:45 -0400

Good point. I've added wording to this effect to the draft and will add 
a column to the tables indicating whether an event is really a state.

(No, this isn't some very deep mail hole; I'm just going through some 
old 2833 discussion, trying to get a new draft out.)

Rex Coldren wrote:
> The 'E' (end-of-event) bit is used to indicate that an event such as a DTMF tone
> has ended.  This is a useful bit of information where the event in question is truely
> an event.
> 
> Some events reported in RFC 2833 event payloads are actually states.  One
> example of this is the ABCD trunking events (144..159).  For these events the
> 'E' bit is meaningless since the appearance of a different event/state implies the
> end of the previous event/state.  In some applications having to send this extra
> event is in fact detrimental since extra delay may be incurred (e.g.-where access
> bandwidth is limited).  I believe it would be useful to allow the use of the 'E' bit
> to be optional for events that are actually states.  Thoughts?
> 
> Rex
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt